Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZAddressType Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $id=false)
| get ( $id)
| fill (&$address_type_array)
| setName ( $value)
| name ()
| id ()
& | count ()
| moveUp ()
| moveDown ()

## Static Public Member Functions
static & | getAll ( $as_object=true)

## Public Attributes
| $ID
| $Name
| $ListOrder

## Detailed Description

! eZAddressType eZAddressType handles address types.

Example code:

// create a new address type and set some variables.
$addressType = new eZAddressType();
$addressType->setName( "Home address" );
$addressType->store();
eZAddressType
Definition: ezaddresstype.php:46

See also
  eZPhoneType

Definition at line 45 of file ezaddresstype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZAddressType::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZAddressType object.

If $id is set the object's values are fetched from the database.

Definition at line 53 of file ezaddresstype.php.

References $ID, $id, and fill().

## Member Function Documentation

## ◆ count()

& eZAddressType::count | ( |  | ) |

Returns the number of external items using this item.

Definition at line 226 of file ezaddresstype.php.

References $db, and eZDB\globalDatabase().

Referenced by get().

## ◆ delete()

eZAddressType::delete | ( |  | $id = `false` | ) |

Definition at line 113 of file ezaddresstype.php.

References $db, $ID, $id, $res, $result, eZDB\finish(), and eZDB\globalDatabase().

## ◆ fill()

eZAddressType::fill | ( | & | $address_type_array | ) |

Fills in information to the eZAddressType object taken from the array.

Definition at line 151 of file ezaddresstype.php.

References $db, eZDB\globalDatabase(), and Name.

Referenced by __construct(), and get().

## ◆ get()

eZAddressType::get | ( |  | $id | ) |

Definition at line 129 of file ezaddresstype.php.

References $db, $id, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

static& eZAddressType::getAll | ( |  | $as_object = `true` | ) |
| static

Definition at line 163 of file ezaddresstype.php.

References $db, and eZDB\globalDatabase().

## ◆ id()

eZAddressType::id | ( |  | ) |

Returns the id.

Definition at line 217 of file ezaddresstype.php.

References $ID.

## ◆ moveDown()

eZAddressType::moveDown | ( |  | ) |

Moves this item down one step in the order list, this means that it will swap place with the item below.

Definition at line 261 of file ezaddresstype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ moveUp()

eZAddressType::moveUp | ( |  | ) |

Moves this item up one step in the order list, this means that it will swap place with the item above.

Definition at line 242 of file ezaddresstype.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ name()

eZAddressType::name | ( |  | ) |

Returns the name.

Definition at line 209 of file ezaddresstype.php.

References $Name.

## ◆ setName()

eZAddressType::setName | ( |  | $value | ) |

Sets the name.

Definition at line 201 of file ezaddresstype.php.

References Name.

## ◆ store()

eZAddressType::store | ( |  | ) |

Stores or updates a eZAddressType object in the database.

Definition at line 69 of file ezaddresstype.php.

References $db, $name, $result, eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $ID

eZAddressType::$ID

Definition at line 275 of file ezaddresstype.php.

Referenced by __construct(), delete(), and id().

## ◆ $ListOrder

eZAddressType::$ListOrder

Definition at line 277 of file ezaddresstype.php.

## ◆ $Name

eZAddressType::$Name

Definition at line 276 of file ezaddresstype.php.

Referenced by name().

The documentation for this class was generated from the following file:

- ezaddresstype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.